using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace InfiniTec.Exchange
{
    /// <summary>
    /// This exception is thrown, when an attempt is made to access a server location with a connection
    /// which is not suitable because of a different <see cref="ConnectionProtocol"/> or server.
    /// </summary>
    [global::System.Serializable]
    public class InvalidConnectionException : Exception
    {
        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        public InvalidConnectionException() { }
        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        /// <param name="message">The message of the exception</param>
        public InvalidConnectionException(string message) : base(message) { }
        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        /// <param name="message">The message of the exception</param>
        /// <param name="inner">The inner exception.</param>
        public InvalidConnectionException(string message, Exception inner) : base(message, inner) { }
        /// <summary>
        /// Creates a new instance of this class.
        /// </summary>
        /// <param name="context">A <see cref="StreamingContext"/> instance.</param>
        /// <param name="info">A <see cref="SerializationInfo"/> instance.</param>
        protected InvalidConnectionException(SerializationInfo info, StreamingContext context): 
            base(info, context) { }
    }
}
