using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.Specialized;
using System.Xml.XPath;
using System.Net;

namespace InfiniTec.Exchange.WebDav
{
    /// <summary>
    /// Encapsulates the information of a WebDav request.
    /// </summary>
    public class Response
    {
        private WebHeaderCollection _Headers;

        /// <summary>
        /// Returns <see cref="WebHeaderCollection"/> containing the headers of the response.
        /// </summary>
        public WebHeaderCollection Headers
        {
            get { return _Headers; }
        }

        private IXPathNavigable _Content;

        /// <summary>
        /// Returns an <see cref="IXPathNavigable"/> object containing the Xml response from the request.
        /// </summary>
        public IXPathNavigable Content
        {
            get { return _Content; }
        }

        internal Response(IXPathNavigable response, WebHeaderCollection headers)
        {
            _Content = response;
            _Headers = headers;
        }

    }
}
